21.05.2010 Установка Gnome 2.30 из Init6 Overlay в Gentoo

Для тех кто не читал комментарии к заметке gnome-2.28.0 повторяю по этому адресу

> git clone git://github.com/init6/init_6.git

Либо для пользователей layman еще проще
> layman -o 'http://github.com/init6/init_6/raw/master/overlay.xml' -f -k -a init6

Тут лежат версии пакетов, которых еще нету в официальных портеджах и официальном оверлее гном.
> git clone git://git.overlays.gentoo.org/proj/gnome.git

либо через layman
> layman -a gnome

Что внутри?

Это все собирается и работает!

Значит так это у меня работает без проблем:

app-admin/pessulus-2.30.0
app-arch/file-roller-2.30.0
app-cdr/brasero-2.30.0
app-editors/gedit-2.30.0
app-editors/gedit-plugins-2.30.0
app-misc/gnote-0.7.2
app-text/evince-2.30.0
app-text/gnome-doc-utils-0.20.0
dev-cpp/glibmm-2.24.0
dev-cpp/gtkmm-2.20.0
dev-libs/atk-1.30.0
dev-libs/libIDL-0.8.14
dev-libs/libgdata-0.6.4
dev-libs/libgweather-2.30.0
dev-libs/libsigc++-2.2.5
dev-libs/totem-pl-parser-2.30.0
dev-python/pygtksourceview-2.10.0
dev-util/glade-3.7.0
dev-util/gtk-doc-1.14
dev-util/gtk-doc-am-1.14
dev-util/gnome-devel-docs-2.30.0
gnome-base/gdm-2.30.0
gnome-base/gnome-applets-2.30.0
gnome-base/gnome-control-center-2.30.0
gnome-base/gnome-keyring-2.30.0
gnome-base/gnome-menus-2.30.0
gnome-base/gnome-panel-2.30.0
gnome-base/gnome-session-2.30.0
gnome-base/gnome-settings-daemon-2.30.0
gnome-base/gvfs-1.6.0
gnome-base/libbonobo-2.24.3
gnome-base/libbonoboui-2.24.3
gnome-base/libgnome-2.30.0
gnome-base/libgnomecanvas-2.30.0
gnome-base/libgnomekbd-2.30.0
gnome-base/libgnomeprint-2.18.7
gnome-base/libgnomeprintui-2.18.5
gnome-base/libgnomeui-2.24.3
gnome-base/libgtop-2.28.1
gnome-base/librsvg-2.26.2
gnome-base/nautilus-2.30.0
gnome-base/orbit-2.14.18
gnome-extra/at-spi-1.29.92
gnome-extra/bug-buddy-2.30.0
gnome-extra/deskbar-applet-2.30.0
gnome-extra/evolution-data-server-2.30.0
gnome-extra/gcalctool-5.30.0
gnome-extra/gconf-editor-2.30.0
gnome-extra/gnome-games-2.30.0
gnome-extra/gnome-media-2.30.0
gnome-extra/gnome-power-manager-2.30.0
gnome-extra/gnome-screensaver-2.30.0
gnome-extra/gnome-system-monitor-2.28.1
gnome-extra/gnome-user-docs-2.30.0
gnome-extra/gnome-utils-2.30.0
gnome-extra/gtkhtml-3.30.0
gnome-extra/gucharmap-2.30.0
gnome-extra/hamster-applet-2.30.0
gnome-extra/libgail-gnome-1.20.2
gnome-extra/swfdec-gnome-2.30.0
gnome-extra/yelp-2.30.0
gnome-extra/zenity-2.30.0
mail-client/evolution-2.30.0.1
media-gfx/eog-2.30.0
media-libs/libchamplain-0.5.1
media-libs/memphis-0.2.0
media-sound/sound-juicer-2.28.2
media-video/cheese-2.30.0
media-video/totem-2.30.0
net-analyzer/gnome-netstatus-2.28.1
net-analyzer/gnome-nettool-2.30.0
net-im/empathy-2.30.0
net-im/telepathy-mission-control-5.3.2
net-im/telepathy-logger-0.1.1
net-libs/libsoup-2.30.0
net-libs/libsoup-gnome-2.30.0
net-libs/telepathy-farsight-0.0.13
net-libs/telepathy-glib-0.10.1
net-misc/vinagre-2.30.0
net-misc/vino-2.28.2
net-voip/telepathy-gabble-0.9.9
net-voip/telepathy-salut-0.3.11
net-wireless/gnome-bluetooth-2.30.0
sys-apps/gnome-disk-utility-2.30.1
sys-apps/udisks-1.0.0
sys-auth/polkit-0.96-r1
sys-fs/lvm2-2.02.61
sys-fs/udev-151-r1
www-client/epiphany-2.30.0
x11-libs/gtksourceview-2.10.0
x11-libs/libnotify-0.4.5
x11-libs/libwnck-2.30.0
x11-libs/vte-0.24.0
x11-misc/alacarte-0.13.1
x11-terms/gnome-terminal-2.30.0
x11-themes/gnome-backgrounds-2.30.0
x11-themes/gnome-themes-2.30.0
x11-themes/gtk-engines-2.20.0
mail-client/evolution-2.30.0.1
gnome-extra/evolution-exchange-2.30.0



А вот с этим пока что не судьба

gnome-extra/at-spi-1.30.0 # Filed to build
gnome-base/gnome-vfs-2.24.3 # Filed to build
media-video/totem-2.30.0 # Filed to build



Советую сразу же удалять соответствующий пакет, как только его ebuild появляется с своем оверлее.
Все остальные необходимые пакеты доступны в официальном оверлее gnome. Так что подключайте и пользуйтесь на здоровье.

В общем кому интересно присоединяйтесь. Если кому то поможет я буду только рад. Да и на меня не пиняйте я выкладываю только то что конкретно у меня собирается и работает без проблем. Тестировать на всех возможных вариантах у меня нет ни времени ни желания. И

USE AT YOUR OWN RISK.

Там в README файле написано не зря. За патчи скажу только спасибо.

{TAGS}




Вас также может заинтересовать:

01.05.2010 Установка Gentoo (x86 UTF-8 RUS)
02.05.2010 Установка Gentoo на софтварный рейд (x86 UTF-8 RUS Soft-RAID)
Грандиозные планы по выпуску GNOME 4 и созданию операционной системы GNOME OS
Linux Mint 12 будет основан на GNOME 3, стилизованном под GNOME 2
22.05.2010 Использование PackageSet в Gentoo (Или жизнь после установки Gentoo-Way)
Настройка РРТР в GENTOO консольный вариант (PPTP Gentoo-way)